Bug 1121425 - Review Request: lazygal - A static web gallery generator
Summary: Review Request: lazygal - A static web gallery generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mairi Dulaney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 17:33 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2016-09-09 16:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-30 18:19:20 UTC
jdulaney: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-07-20 17:33:26 UTC
Spec URL: http://rathann.fedorapeople.org/review/lazygal/lazygal.spec
SRPM URL: http://rathann.fedorapeople.org/review/lazygal/lazygal-0.8.4-1.fc20.noarch.rpm
Description:

Lazygal is another static web gallery generator written in Python.
It can be summed up by the following features :
* Command line based (thus scriptable).
* Handles album updates.
* Presents all your pictures and videos and associated data.
* Makes browsing sharing pictures easy.
* Make customization easy.
* Does not change your original pictures directories (the source argument).

Fedora Account System Username: rathann

This package was retired around F15 due to no active maintainer. This is an unretirement review.

Comment 1 Christopher Meng 2014-07-21 02:15:24 UTC
Please re upload the _src.rpm_.

Swap with bug 1120982

Comment 2 Dominik 'Rathann' Mierzejewski 2014-07-22 07:25:27 UTC
SRPM URL: http://rathann.fedorapeople.org/review/lazygal/lazygal-0.8.4-1.fc20.src.rpm

Sorry, uploaded the wrong file.

Comment 3 Christopher Meng 2014-07-23 00:43:16 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/lazygal
  See:
  https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 1 files have unknown
     license. Detailed output of licensecheck:

GPL (v2 or later)
-----------------
lazygal-0.8.4/lazygal.py
lazygal-0.8.4/lazygal/__init__.py
lazygal-0.8.4/lazygal/config.py
lazygal-0.8.4/lazygal/eyecandy.py
lazygal-0.8.4/lazygal/feeds.py
lazygal-0.8.4/lazygal/generators.py
lazygal-0.8.4/lazygal/genfile.py
lazygal-0.8.4/lazygal/genmedia.py
lazygal-0.8.4/lazygal/genpage.py
lazygal-0.8.4/lazygal/log.py
lazygal-0.8.4/lazygal/make.py
lazygal-0.8.4/lazygal/mediautils.py
lazygal-0.8.4/lazygal/metadata.py
lazygal-0.8.4/lazygal/newsize.py
lazygal-0.8.4/lazygal/pathutils.py
lazygal-0.8.4/lazygal/pygexiv2.py
lazygal-0.8.4/lazygal/sourcetree.py
lazygal-0.8.4/lazygal/timeutils.py
lazygal-0.8.4/lazygal/tpl.py
lazygal-0.8.4/lazygal/tplvars.py
lazygal-0.8.4/lazygaltest/__init__.py
lazygal-0.8.4/lazygaltest/test_conf.py
lazygal-0.8.4/lazygaltest/test_gendeps.py
lazygal-0.8.4/lazygaltest/test_generators.py
lazygal-0.8.4/lazygaltest/test_metadata.py
lazygal-0.8.4/lazygaltest/test_newsize.py
lazygal-0.8.4/lazygaltest/test_pathutils.py
lazygal-0.8.4/lazygaltest/test_sourcetree.py
lazygal-0.8.4/lazygaltest/test_theme.py
lazygal-0.8.4/setup.py

Unknown or generated
--------------------
lazygal-0.8.4/lazygal-setcomment.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: lazygal-0.8.4-1.fc22.noarch.rpm
          lazygal-0.8.4-1.fc22.src.rpm
lazygal.noarch: E: explicit-lib-dependency libgexiv2-python2
lazygal.noarch: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
lazygal.src: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
2 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint lazygal
lazygal.noarch: E: explicit-lib-dependency libgexiv2-python2
lazygal.noarch: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
lazygal (rpmlib, GLIBC filtered):
    /usr/bin/python2
    libgexiv2-python2
    python(abi)
    python-genshi
    python-imaging



Provides
--------
lazygal:
    lazygal



Source checksums
----------------
http://sousmonlit.zincube.net/~niol/reposnapshots/lazygal-0.8.4.tar.gz :
  CHECKSUM(SHA256) this package     : 740bd5bc77a857e23a0d22811d5af80a70121c6f65d6b499fa867d6c3ab25984
  CHECKSUM(SHA256) upstream package : 740bd5bc77a857e23a0d22811d5af80a70121c6f65d6b499fa867d6c3ab25984


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rvn lazygal-0.8.4-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. lazygaltest/ may be useful for %check?

2. Drop Group tag.

3. You can try RPM soft dependency for f21+:

Suggest: gstreamer-python

I haven't tried, but it's recommended by the upstream.

4. Manpages should be listed with a glob 1*/5*.

Comment 4 Dominik 'Rathann' Mierzejewski 2014-07-23 11:46:56 UTC
(In reply to Christopher Meng from comment #3)
> Issues:
> =======
> - Package do not use a name that already exist
>   Note: A package already exist with this name, please check
>   https://admin.fedoraproject.org/pkgdb/acls/name/lazygal
>   See:
>  
> https://fedoraproject.org/wiki/Packaging/
> NamingGuidelines#Conflicting_Package_Names

As stated in the opening description, this is an unretirement review, so the above doesn't apply.

[...] 
> ----------------------------
> 1. lazygaltest/ may be useful for %check?
> 
> 2. Drop Group tag.

OK.

> 3. You can try RPM soft dependency for f21+:
> 
> Suggest: gstreamer-python

I'll check it.

> I haven't tried, but it's recommended by the upstream.
> 
> 4. Manpages should be listed with a glob 1*/5*.

5. Unbundle javascript in themes/ (thanks, Björn)

* default/SHARED_jquery.js JQuery 1.11 + sizzle.js http://jquery.com/ http://sizzlejs.com/
* inverted/SHARED_plugins.tjs TipTip 1.3 code.drewwilson.com/entry/tiptip-jquery-plugin
* inverted/SHARED_respond.js https://github.com/scottjehl/Respond
* singlepage/SHARED_jquery.colorbox.js Colorbox v1.4.36 - http://www.jacklmoore.com/colorbox

https://fedoraproject.org/wiki/Packaging:JavaScript

Comment 5 Christopher Meng 2014-08-02 10:23:46 UTC
I don't care about that JS guideline, I will set + once you solve the issues I mentioned.

Comment 6 Dominik 'Rathann' Mierzejewski 2014-08-08 12:46:31 UTC
Looks like the Webassets change is not fully ready yet, so I'll just make a note in the spec file about bundled JS files and unbundle them once the requisite packages are in Fedora.

Other issues should be addressed now:

Spec URL: http://rathann.fedorapeople.org/review/lazygal/lazygal.spec
SRPM URL: http://rathann.fedorapeople.org/review/lazygal/lazygal-0.8.4-2.fc22.src.rpm

Comment 7 Dominik 'Rathann' Mierzejewski 2015-10-09 11:43:57 UTC
Spec URL: http://rathann.fedorapeople.org/review/lazygal/lazygal.spec
SRPM URL: http://rathann.fedorapeople.org/review/lazygal/lazygal-0.8.8-1.fc24.src.rpm

* Fri Oct 09 2015 Dominik Mierzejewski <rpm@greysector.net> - 0.8.8-1
- update to 0.8.8
- unbundle jquery
- enable testsuite
- use new python convenience macros
- add a soft dependency on python-gstreamer1
- add required Provides: for bundled JavaScript libraries

Comment 8 Dominik 'Rathann' Mierzejewski 2015-10-14 08:42:44 UTC
Setting back to NEW due to lack of reviewer response.

Comment 9 Mairi Dulaney 2016-03-15 18:02:25 UTC
/me will grab this.

Comment 10 Mairi Dulaney 2016-03-15 18:20:57 UTC
rpmlint looks cool:

jdulaney@gefjon:~/rpmbuild$ rpmlint ./lazygal-0.8.8-1.fc24.src.rpm 
lazygal.src: W: spelling-error %description -l en_US scriptable -> scrip table, scrip-table, script able
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


While I'm not entirely fond of the bundled libs, they're no longer against packaging guidelines.  Licensing and otherwise looks good, scratchbuild against rawhide completed.

Approved

(PS:  You forgot to set the Fedora Review flag)

Comment 11 Dominik 'Rathann' Mierzejewski 2016-07-28 22:08:28 UTC
It looks like it slipped off my radar, sorry. Package unretired and built for rawhide. Other branches will follow as needed. Thanks for the review!

Comment 12 Fedora Update System 2016-08-22 21:50:28 UTC
lazygal-0.8.8-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d507f45a1f

Comment 13 Fedora Update System 2016-08-22 21:51:07 UTC
lazygal-0.8.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3422e6d4c

Comment 14 Fedora Update System 2016-08-22 23:52:04 UTC
lazygal-0.8.8-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d507f45a1f

Comment 15 Fedora Update System 2016-08-23 16:22:15 UTC
lazygal-0.8.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3422e6d4c

Comment 16 Fedora Update System 2016-08-25 23:25:11 UTC
lazygal-0.8.8-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d507f45a1f

Comment 17 Fedora Update System 2016-08-27 12:54:09 UTC
lazygal-0.8.8-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d507f45a1f

Comment 18 Fedora Update System 2016-08-28 20:37:50 UTC
lazygal-0.8.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3422e6d4c

Comment 19 Fedora Update System 2016-08-29 22:53:57 UTC
lazygal-0.8.8-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f3422e6d4c

Comment 20 Fedora Update System 2016-08-30 18:19:17 UTC
lazygal-0.8.8-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-09-09 16:56:15 UTC
lazygal-0.8.8-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.